return require('packer').startup(function()

  -- Packer can manage itself as an optional plugin
  use {'wbthomason/packer.nvim', opt = true}
  use {'neovim/nvim-lspconfig'}
  use {'nvim-treesitter/nvim-treesitter'}
  use {
      'nvim-telescope/telescope.nvim',
      requires = {{'nvim-lua/popup.nvim'}, {'nvim-lua/plenary.nvim'}}
  }
  use {'sainnhe/gruvbox-material'}
  use {'lukas-reineke/indent-blankline.nvim'}
  use {'nvim-lua/plenary.nvim'}
  use {'lewis6991/gitsigns.nvim'}
  use {'kosayoda/nvim-lightbulb'}
  use {
      'kyazdani42/nvim-tree.lua',
      requires = 'kyazdani42/nvim-web-devicons'
  }
  use{'winston0410/commented.nvim'}
  use {
    'hrsh7th/nvim-cmp',
    requires = {
      'hrsh7th/cmp-buffer', 'hrsh7th/cmp-nvim-lsp',
      'L3MON4D3/LuaSnip', 'saadparwaiz1/cmp_luasnip', 'hrsh7th/cmp-nvim-lua',
      'octaltree/cmp-look', 'hrsh7th/cmp-path', 'hrsh7th/cmp-calc',
      'f3fora/cmp-spell', 'hrsh7th/cmp-emoji'
    }
  }
  use {'rafamadriz/friendly-snippets'}
  use {'onsails/lspkind-nvim'}
  use {'Shatur/neovim-cmake',
    requires = {'mfussenegger/nvim-dap', 'skywind3000/asyncrun.vim'}
  }
  use {'AckslD/nvim-neoclip.lua'}
  use {
    'hoob3rt/lualine.nvim',
    requires = {'kyazdani42/nvim-web-devicons', opt = true}
  }
  use {'ahmedkhalf/project.nvim'}
  use {'p00f/nvim-ts-rainbow'}
  use {'simrat39/symbols-outline.nvim'}
  use {'f-person/git-blame.nvim'}
end)
